De nieuwe versie van WordPress (codenaam Gershwin), die maandag verscheen, is volgens de makers sneller en lichter. Dat gebeurt door het stroomlijnen van de code met diverse optimalisaties. De beheerinterface is geheel herzien en de blogsoftware is voorzien van een uitgeklede editor (zen mode genoemd), die bloggers laat bloggen zonder afleidingen.

PHP- en MySQL-upgrades

Hierbij ondersteunt WordPress niet langer de oudere scripttaal PHP 4 en de oudere database MySQL 4. Voor Gershwin is tenminste PHP versie 5.2.4 nodig en MySQL versie 5.0.15 of hoger. Die overgang is bijna een jaar geleden al aangekondigd. WordPress biedt gebruikers een plugin die de huidige installatie van de blogsoftware doorneemt op problemen. Op dit moment controleert die tool alleen de gebruikte PHP- en MySQL-versies.

Daarnaast schrapt WordPress 3.2 de support voor IE6, wat eind mei bij de bèta al is aangekondigd. Ook wordt nu de pensionering van Internet Explorer 7 alvast ingezet. Ook schotelt het dashboard van de nieuwe blogsoftware gebruikers van oude browsers een waarschuwing voor. Dit is een notificatie van Browse Happy, dat in 2004 is opgezet om gebruikers van Internet Explorer af te krijgen.

Voorbeeldbrief voor IE6-gebruikers

Gebruikers van oude browsers kunnen die waarschuwing nog negeren, maar bij IE6 zal het WordPress-dashboard niet meer naar behoren werken. “Als je vastzit op IE6 omdat de computer die je gebruikt, wordt beheerd door een bedrijf, bibliotheek, school of iets dergelijks en je bent niet in staat om een nieuwere browser te downloaden, dan is hier een voorbeeldbrief die je kunt gebruiken om je baas/beheerder/it-mensen te vragen om de browser te updaten", schrijft het WordPress-team. “Welkom in de toekomst."